# Asterisk Project : Asterisk 12 Configuration_res_ari

Added by wikibot , edited by wikibot on Dec 05, 2013

# HTTP binding for the Stasis API

This configuration documentation is for functionality provided by `res_ari`.

## ari.conf

### general

General configuration settings

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`enabled` | `Boolean` | `yes` | `false` | Enable/disable the ARI module
`pretty` | `Custom` | `no` | `false` | Responses from ARI are formatted to be human readable
`auth_realm` | `String` | `Asterisk REST Interface` | `false` | Realm to use for authentication. Defaults to Asterisk REST Interface.
`allowed_origins` | `String` |  | `false` | Comma separated list of allowed origins, for Cross-Origin Resource Sharing. May be set to * to allow all origins.

### user

Per-user configuration settings

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`type` | `None` |  | `false` | Define this configuration section as a user.
`read_only` | `Boolean` | `no` | `false` | When set to yes, user is only authorized for read-only requests
`password` | `String` |  | `false` | Crypted or plaintext password (see password_format)
`password_format` | `Custom` | `plain` | `false` | password_format may be set to plain (the default) or crypt. When set to crypt, crypt(3) is used to validate the password. A crypted password can be generated using mkpasswd -m sha-512. When set to plain, the password is in plaintext

#### Configuration Option Descriptions

##### type

- `user` - Configure this section as a user

### Import Version

This documentation was imported from Asterisk Version SVN-branch-12-r403342